Bug 1549845 - OSP10->11->12->13 overcloud controller rpm package update fails due to python-neutron-tests package conflict
Summary: OSP10->11->12->13 overcloud controller rpm package update fails due to python...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-neutron-tests-tempest
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jose Luis Franco
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-27 21:31 UTC by Marius Cornea
Modified: 2018-06-27 13:47 UTC (History)
10 users (show)

Fixed In Version: python-neutron-tests-tempest-0.0.1-0.20180326122805.52449cc.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:46:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
neutron yum update dependency (57.04 KB, text/plain)
2018-03-14 18:53 UTC, Marius Cornea
no flags Details


Links
System ID Priority Status Summary Last Updated
RDO 12918 None rpm-master: MERGED openstack/neutron-tempest-plugin-distgit: Obsolete python-neutron-tests from pike and older (Ib6a87267a9cfc8110f2c289be2... 2018-04-04 12:41:43 UTC
RDO 12985 None queens-rdo: MERGED openstack/neutron-tempest-plugin-distgit: Obsolete python-neutron-tests from pike and older (Ib6a87267a9cfc8110f2c289be2... 2018-04-04 12:41:36 UTC
RDO 13215 None rpm-master: MERGED openstack/neutron-tempest-plugin-distgit: Add epoch to Obsoletes for python-neutron-tests (I7995c7518419a58561bc9e140f50... 2018-04-04 12:41:30 UTC
RDO 13216 None queens-rdo: MERGED openstack/neutron-tempest-plugin-distgit: Add epoch to Obsoletes for python-neutron-tests (I7995c7518419a58561bc9e140f50... 2018-04-04 12:41:22 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:47:16 UTC

Description Marius Cornea 2018-02-27 21:31:36 UTC
Description of problem:

OSP 10->11->12->13 yum update fails with:

---> Package python2-future.noarch 0:0.16.0-4.el7ost.1 will be installed
--> Finished Dependency Resolution
Error: Package: 1:python-neutron-tests-11.0.2-1.el7ost.noarch (@rhelosp-12.0-puddle)
           Requires: python-neutron = 1:11.0.2-1.el7ost
           Removing: 1:python-neutron-11.0.2-1.el7ost.noarch (@rhelosp-12.0-puddle)
               python-neutron = 1:11.0.2-1.el7ost
           Updated By: 1:python-neutron-12.0.0-0.20180215204452.fb3f718.el7ost.noarch (rhelosp-13.0-puddle)
               python-neutron = 1:12.0.0-0.20180215204452.fb3f718.el7ost
           Available: 1:python-neutron-9.4.1-12.el7ost.noarch (rhelosp-10.0-puddle)
               python-neutron = 1:9.4.1-12.el7ost
           Available: 1:python-neutron-10.0.4-1.el7ost.noarch (rhelosp-11.0-puddle)
               python-neutron = 1:10.0.4-1.el7ost
Error: Package: 1:openstack-heat-api-cloudwatch-9.0.3-1.el7ost.noarch (@rhelosp-12.0-puddle)
           Requires: openstack-heat-common = 1:9.0.3-1.el7ost
           Removing: 1:openstack-heat-common-9.0.3-1.el7ost.noarch (@rhelosp-12.0-puddle)
               openstack-heat-common = 1:9.0.3-1.el7ost
           Updated By: 1:openstack-heat-common-10.0.0-0.20180211191028.3e51547.el7ost.noarch (rhelosp-13.0-puddle)
               openstack-heat-common = 1:10.0.0-0.20180211191028.3e51547.el7ost
           Available: 1:openstack-heat-common-7.0.6-1.el7ost.noarch (rhelosp-10.0-puddle)
               openstack-heat-common = 1:7.0.6-1.el7ost
           Available: 1:openstack-heat-common-8.0.6-1.el7ost.noarch (rhelosp-11.0-puddle)
               openstack-heat-common = 1:8.0.6-1.el7ost
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 2 Alfredo Moralejo 2018-03-14 17:30:56 UTC
Could i see the full upgrade log?

By the way, when enabling new repos, don't you disable old ones?

Comment 3 Marius Cornea 2018-03-14 18:52:44 UTC
(In reply to Alfredo Moralejo from comment #2)
> Could i see the full upgrade log?

Attaching the output of yum update

> By the way, when enabling new repos, don't you disable old ones?

I do but I think I omitted it in the test that I got the output for the initial report from.

Comment 4 Marius Cornea 2018-03-14 18:53:06 UTC
Created attachment 1408128 [details]
neutron yum update dependency

Comment 5 Mike Burns 2018-03-19 12:11:37 UTC
Note:  heat-api-cloudwatch is covered in bug 1549849  It appears this is resolved so not sure if there is anything for me to answer (no context for needinfo)

Also, with patch posted, this should be in ON_DEV

Comment 8 Marius Cornea 2018-03-29 16:39:48 UTC
I am stil seeing this when doing yum update -y issue with:

[root@controller-0 heat-admin]#  yum list python2-neutron-tests-tempest
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Available Packages
python2-neutron-tests-tempest.noarch                                                                         0.0.1-0.20180326122804.52449cc.el7ost                                                                         rhelosp-13.0-puddle

[root@controller-0 heat-admin]#  yum update -y

[...]

--> Finished Dependency Resolution
Error: Package: 1:python-neutron-tests-11.0.2-1.el7ost.noarch (@rhelosp-12.0-puddle)
           Requires: python-neutron = 1:11.0.2-1.el7ost
           Removing: 1:python-neutron-11.0.2-1.el7ost.noarch (@rhelosp-12.0-puddle)
               python-neutron = 1:11.0.2-1.el7ost
           Updated By: 1:python-neutron-12.0.1-0.20180327195360.68b8980.el7ost.noarch (rhelosp-13.0-puddle)
               python-neutron = 1:12.0.1-0.20180327195360.68b8980.el7ost
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 11 Alfredo Moralejo 2018-04-03 14:03:29 UTC
Package is missing epoch when obsoleting python-neutron-tests. Fixing it in https://review.rdoproject.org/r/#/c/13215/

Comment 12 Alfredo Moralejo 2018-04-03 14:30:51 UTC
queens cherry-pick in https://review.rdoproject.org/r/#/c/13216/

Comment 15 errata-xmlrpc 2018-06-27 13:46:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.